# Uses of Class
org.eclipse.net4j.util.om.log.RollingLog.LogLine

Packages that use RollingLog.LogLine
Package
Description
org.eclipse.net4j.util.om.log
Interfaces and classes for platform-independent logging.

## Uses of RollingLog.LogLine in org.eclipse.net4j.util.om.log

Methods in org.eclipse.net4j.util.om.log that return RollingLog.LogLine
Modifier and Type
Method
Description
`protected RollingLog.LogLine`
RollingLog.`createLogLine(String message)`
`RollingLog.LogLine`
RollingLog.RecoveryEvent.`getLogLine()`
Methods in org.eclipse.net4j.util.om.log that return types with arguments of type RollingLog.LogLine
Modifier and Type
Method
Description
`final CloseableIterator<RollingLog.LogLine>`
RollingLog.`iterator()`
`static CloseableIterator<RollingLog.LogLine>`
RollingLog.`iterator(String logFile)`
Methods in org.eclipse.net4j.util.om.log with parameters of type RollingLog.LogLine
Modifier and Type
Method
Description
`protected void`
RollingLog.`recovery(Properties properties, RollingLog.LogLine logLine)`
`protected void`
RollingLog.`writeLogLine(RollingLog.LogLine logLine, PrintStream out)`
Method parameters in org.eclipse.net4j.util.om.log with type arguments of type RollingLog.LogLine
Modifier and Type
Method
Description
`protected long`
RollingLog.`writeLogLines(List<RollingLog.LogLine> logLines)`
`protected long`
RollingLog.`writeLogLines(List<RollingLog.LogLine> logLines, PrintStream out)`
Constructors in org.eclipse.net4j.util.om.log with parameters of type RollingLog.LogLine
Modifier
Constructor
Description
``
`RecoveryEvent(RollingLog rollingLog, Properties properties, RollingLog.LogLine logLine)`